Skip to content

Get file properties

Request

Returns the properties of a specific template file, including the assigned document class and its metadata values. Does not include the file content.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

templateIdstring, (uuid)required

Unique identifier of the template

fileIdstring, (uuid)required

Unique identifier of the file

GET
/api/v1/organizations/{organizationId}/templates/{templateId}/files/{fileId}
curl -i -X GET \
  '/api/v1/organizations/{organizationId}/templates/{templateId}/files/{fileId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
documentClassobject(TemplateFileDocumentClassResponse)

Response containing the document class assigned to a template file.

restrictedVisibilityRecipientIdsArray of strings or null, (uuid)

The IDs of recipients with restricted visibility to this file, or null if not set.

Response
{ "documentClass": { "id": "c854209d-7589-4088-9627-3040ad975178", "name": "Contract", "metadata": [ … ] }, "restrictedVisibilityRecipientIds": [ "5d9e0078-2c40-4d34-8c6c-b621071aca82", "5aad6c85-d780-4632-9483-c47b87ed9446" ] }